Main Page Class Hierarchy Compound List File List Compound Members

# LayerInfo Class Reference

`#include <layerinf.h>`

List of all members.

## Protected Attributes
bool | _selectable
| is the layer selectable
bool | _visible
| is the layer visible
bool | _available
| is the layer filled with primitives
bool | _readlayer
| will the layer be read from a file
long | _fillcolor
| fill color for the layer
long | _bordercolor
| border color for the layer
char | _name [50]
| layer name
int | _brush
| fill pattern
int | _order
| drawing order number
int | _gdsinmap
| mapping to this layer from the GDSII layer in the input file
int | _gdsoutmap
| mapping to this layer from the GDSII layer in the output file

## Detailed Description

contains the layer properties for one layer, settings like color, fill paterns etc.

See also:
  Setup

The documentation for this class was generated from the following file:

- layerinf.h

LayerInfo class Reference -- Thu Nov 28 21:24:57 2002 -- 28 Nov 2002 -- 1.2.18 -- -- . -- Main Page